Bug 1183744 (CVE-2015-1465)

Summary: CVE-2015-1465 kernel: net: DoS due to routing packets to too many different dsts/too fast
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: acaringi, agordeev, aquini, bhu, bmasney, brdeoliv, dhoward, dvlasenk, fhrbata, hkrzesin, hsowa, jshortt, jstancek, kernel-mgr, kyoshida, lwang, mguzik, mleitner, msiddiqu, nmurray, pholasek, plougher, ptalbert, rvrbovsk, security-response-team, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-04 15:00:30 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1181819, 1188347    
Bug Blocks: 1183753    

Description Petr Matousek 2015-01-19 16:42:44 UTC
It was found that routing packets to too many different dsts/too fast can lead
to a excessive resource consumption.

A remote attacker can use this flaw to crash the system.

Introduced by:
http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=f88649721268999bdff09777847080a52004f691

Acknowledgements:

This issue was found by Marcelo Ricardo Leitner of Red Hat.

Comment 2 Petr Matousek 2015-02-02 16:33:34 UTC
Statement:

This issue does not affect the Linux kernels as shipped with Red Hat Enterprise Linux 5, 6, 7 and Red Hat Enterprise MRG 2.

Comment 3 Petr Matousek 2015-02-02 16:35:29 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1188347]

Comment 4 Fedora Update System 2015-02-06 04:00:22 UTC
kernel-3.18.5-201.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2015-02-07 04:01:01 UTC
kernel-3.18.5-101.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.